> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List user SSH keys

> Returns all SSH keys belonging to the authenticated user.



## OpenAPI

````yaml /openapi.json get /api/v1/user/ssh-keys
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/user/ssh-keys:
    get:
      tags:
        - SSH Keys
      summary: List user SSH keys
      description: Returns all SSH keys belonging to the authenticated user.
      operationId: get_user_ssh_keys_api_v1_user_ssh_keys_get
      responses:
        '200':
          description: List of SSH keys
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SshKeyResponse'
                type: array
                title: Response Get User Ssh Keys Api V1 User Ssh Keys Get
        '401':
          description: Not authenticated
components:
  schemas:
    SshKeyResponse:
      properties:
        id:
          type: string
          title: Id
          description: Key hashid
        user_id:
          type: string
          title: User Id
          description: Owner user hashid
        name:
          type: string
          title: Name
          description: Human-readable name
        public_key:
          type: string
          title: Public Key
          description: OpenSSH format public key
        fingerprint:
          type: string
          title: Fingerprint
          description: SHA256 fingerprint
        key_type:
          type: string
          title: Key Type
          description: Algorithm (ed25519, rsa, etc)
        source:
          type: string
          title: Source
          description: 'Origin: manual or github'
        key_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Key Metadata
          description: Extra data like bit length
        last_synced_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Synced At
          description: Last GitHub sync timestamp
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
      type: object
      required:
        - id
        - user_id
        - name
        - public_key
        - fingerprint
        - key_type
        - source
        - created_at
        - updated_at
      title: SshKeyResponse
      description: SSH key details returned by API.

````